summaryrefslogtreecommitdiffstats
path: root/games/mupen64plus
diff options
context:
space:
mode:
author Robby Workman2010-05-20 06:29:39 +0200
committer Robby Workman2010-05-21 08:42:50 +0200
commitb58ab7cf3c70713145239710feda282a74f5b7ca (patch)
tree321385d6d62fde226bd68dda7324d3c99bc4ee07 /games/mupen64plus
parent54adf262034e8f7d2b130c4de1c6b09125e4cc50 (diff)
downloadslackbuilds-b58ab7cf3c70713145239710feda282a74f5b7ca.tar.gz
games/mupen64plus: Miscellaneous cleanups.
Diffstat (limited to 'games/mupen64plus')
-rw-r--r--games/mupen64plus/README3
-rw-r--r--games/mupen64plus/mupen64plus.SlackBuild19
2 files changed, 16 insertions, 6 deletions
diff --git a/games/mupen64plus/README b/games/mupen64plus/README
index 325ae91fdf..3e6f164e0b 100644
--- a/games/mupen64plus/README
+++ b/games/mupen64plus/README
@@ -6,6 +6,3 @@ signal co-processor (RSP), and input.
By default the gtk2 GUI will be built. To build the Qt4 GUI pass GTK2=no
to the script.
-
-libsamplerate is an optional (but recommended) dependency.
-It is also available from SlackBuilds.org \ No newline at end of file
diff --git a/games/mupen64plus/mupen64plus.SlackBuild b/games/mupen64plus/mupen64plus.SlackBuild
index 8e532943e3..9b0eb829b0 100644
--- a/games/mupen64plus/mupen64plus.SlackBuild
+++ b/games/mupen64plus/mupen64plus.SlackBuild
@@ -3,7 +3,6 @@
# Slackware build script for Mupen64Plus
# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
-# Modified by M.Dinslage
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,12 +22,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Modified by M.Dinslage
+
PRGNAM=mupen64plus
VERSION=${VERSION:-1.5}
-ARCH=${ARCH:-i486}
BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -43,6 +53,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
if [ "${GTK2:-yes}" = "yes" ]; then
@@ -55,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf Mupen64Plus-1-5-src
-tar xzvf $CWD/Mupen64Plus-1-5-src.tar.gz || exit 1
+tar xvf $CWD/Mupen64Plus-1-5-src.tar.gz || exit 1
cd Mupen64Plus-1-5-src || exit 1
patch -p1 < $CWD/gcc4.4-build.patch
chown -R root:root .